Summary: The GNOME Display Manager
Name: gdm
Version: 2.8.0.4
Release: 1mdk
License: LGPL/GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/projects/gdm/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gdm/%{name}-%{version}.tar.bz2
Source2: gdm_48.png
Source3: gdm_32.png
Source4: gdm_16.png

# (fc) 2.2.2.1-1mdk change default configuration
Patch0: gdm-2.8.0.3-default-config.patch.bz2
# (fc) 2.4.0.11-3mdk use xvt instead of xterm
Patch1: gdm-2.8.0.0-xvt.patch.bz2
# (fc) 2.4.1.3-4mdk greeter really set background (not only color)
Patch2: gdm-2.8.0.2-greeterbackground.patch.bz2
# (fc) 2.6.0.4-5mdk dither background for standard greeter
Patch3: gdm-2.6.0.4-ditherbackground.patch.bz2
# (fc) 2.6.0.6-3mdk use pam_timestamp for gdmsetup (Fedora)
Patch4: gdm-2.4.2.102-pam_timestamp.patch.bz2
# (fc) 2.6.0.6-3mdk clean up xses if session was sucessfully completed (Fedora)
Patch5: gdm-2.6.0.5-cleanup-xses.patch.bz2
# (fc) 2.8.0.3-4mdk don't force UTF8 locale (Mdk bug #18177)
Patch6: gdm-2.8.0.3-fixlocale.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: dm

Requires(pre):     rpm-helper
Requires(postun):  rpm-helper
Requires(post):	   scrollkeeper >= 0.3
Requires(postun):  scrollkeeper >= 0.3
Requires(post): desktop-common-data
Requires: pam >= 0.72-11mdk
Requires: setup >= 2.1.9-33mdk
Requires: usermode
Requires: cdialog
Requires: zenity
Requires: drakxtools-newt
Requires: xinitrc >= 2.4.14
BuildRequires: XFree86-static-devel
BuildRequires: gettext
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: librsvg-devel
BuildRequires: pam-devel
BuildRequires: usermode
BuildRequires: scrollkeeper
BuildRequires: automake1.9
#gw for running intltool scripts
BuildRequires: perl-XML-Parser
BuildRequires: intltool

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%package Xnest
Summary: Xnest (ie embedded X) server for GDM
Group: %{group}
Requires: %{name} = %{version}
Requires: XFree86-Xnest

%description Xnest
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

This package add support for Xnest server in gdm

%prep
%setup -q
cp config/Init.in config/Default.in

%patch0 -p1 -b .defaultconf
%patch1 -p1 -b .xvt
%patch2 -p1 -b .greeterbackground
%patch3 -p1 -b .ditherbackground
%patch4 -p1 -b .pam_timestamp
%patch5 -p1 -b .cleanup_xses
%patch6 -p1 -b .fixlocale

#fix build on x86-64
aclocal-1.9
automake-1.9
autoconf

%build

%configure2_5x --enable-console-helper --sysconfdir=%{_sysconfdir}/X11

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std PAM_PREFIX=%{_sysconfdir} 

# don't provide PreSession/PostSession, pam handle this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PreSession/Default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PostSession/Default

ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/gdmsetup

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hosts

mkdir -p  $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/gdm.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/gdm.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/gdm.png

# add Mandrake theme
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gdm
?package(%{name}): \
command="%{_bindir}/gdmsetup" \
icon="gdm.png" \
needs="X11" \
section="Configuration/Boot and Init" \
title="GDM Configurator" \
longtitle="A graphical application for configuring the GNOME Display Manager (GDM)" \
startup_notify="true"
?package(%{name}): \
command="%{_bindir}/gdmphotosetup" \
icon="gdm.png" \
needs="X11" \
section="Configuration/Boot and Init" \
title="GDM Photo Setup" \
longtitle="Setup the picture that will show in the GDM (login manager) face browser" \
startup_notify="true"
?package(%{name}): \
command="%{_bindir}/gdmflexiserver" \
icon="gdm.png" \
needs="X11" \
section="Configuration/Boot and Init" \
title="New login with GDM" \
longtitle="Log in as another user without logging out" \
startup_notify="true"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gdm-Xnest
?package(%{name}-Xnest): \
command="%{_bindir}/gdmflexiserver --xnest" \
icon="gdm.png" \
needs="X11" \
section="Configuration/Boot and Init" \
title="New login in a nested window " \
longtitle="New login in a nested window" \
startup_notify="true"
EOF

%{find_lang} %{name}-2.4 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.4.lang
done

mkdir -p $RPM_BUILD_ROOT%{_var}/log/gdm $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions/*.desktop \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/PostLogin/Default.sample \
  $RPM_BUILD_ROOT%{_datadir}/xsessions

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd gdm %{_localstatedir}/gdm /bin/false
%_pre_groupadd xgrp gdm

%triggerpostun -- gdm < 2.8.0.0-2mdk
if [ -d %{_datadir}/gdm/themes/mdk.to_remove ]; then 
  rm -fr %{_datadir}/gdm/themes/mdk.to_remove
  ln -s -f %{_datadir}/mdk/dm %{_datadir}/gdm/themes/mdk
fi
#replace changed paths in gdm.conf
sed -i -e "s^%_bindir/\(gdm[^ \t]\+\)^%_libexecdir/\1^g"  %{_sysconfdir}/X11/gdm/gdm.conf

%post
#needed to update old gdm without removing new theme
#is removed by triggerpostun
if [ "$1" = "2" -a ! -L %{_datadir}/gdm/themes/mdk ]; then 
 mv %{_datadir}/gdm/themes/mdk  %{_datadir}/gdm/themes/mdk.to_remove
else 
 if [ ! -L %{_datadir}/gdm/themes/mdk ]; then
  ln -s -f %{_datadir}/mdk/dm %{_datadir}/gdm/themes/mdk
 fi
fi

if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
%{make_session}
%{update_menus}
/sbin/ldconfig
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
# Attempt to restart GDM softly by use of the fifo.  Wont work on older
# then 2.2.3.1 versions but should work nicely on later upgrades.
# FIXME: this is just way too complex
FIFOFILE=`grep '^ServAuthDir=' %{_sysconfdir}/X11/gdm/gdm.conf | sed -e 's/^ServAuthDir=//'`
if test x$FIFOFILE = x ; then
        FIFOFILE=%{_localstatedir}/gdm/.gdmfifo
else
        FIFOFILE="$FIFOFILE"/.gdmfifo
fi
PIDFILE=`grep '^PidFile=' %{_sysconfdir}/X11/gdm/gdm.conf | sed -e 's/^PidFile=//'`
if test x$PIDFILE = x ; then
        PIDFILE=/var/run/gdm.pid
fi
if test -w $FIFOFILE ; then
        if test -f $PIDFILE ; then
                if kill -0 `cat $PIDFILE` ; then
                        (echo;echo SOFT_RESTART) >> $FIFOFILE
                fi
        fi
fi
# ignore error in the above
exit 0

%preun
if [ "$1" = "0" ]; then
 rm -f %{_datadir}/gdm/themes/mdk > /dev/null
fi

%postun
%{make_session}
%_postun_userdel gdm
%_postun_groupdel xgrp gdm

%{clean_menus}
/sbin/ldconfig
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%post Xnest
%{update_menus}

%postun Xnest
%{clean_menus}

%files -f %{name}-2.4.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README gui/greeter/greeter.dtd
%_bindir/gdm-dmx-reconnect-proxy
%_bindir/gdmdynamic
%_bindir/gdmsetup
%{_bindir}/gdmphotosetup
%{_bindir}/gdmflexiserver
%{_libexecdir}/gdmchooser
%{_libexecdir}/gdmgreeter
%{_libexecdir}/gdmlogin
%{_libexecdir}/gdmaskpass
%{_libexecdir}/gdmopen
%{_libexecdir}/gdmtranslate
%{_sbindir}/*
%dir %{_sysconfdir}/X11/gdm
%{_sysconfdir}/X11/gdm/XKeepsCrashing
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdmsetup
%config(noreplace) %{_sysconfdir}/pam.d/gdm-autologin
%config(noreplace) %{_sysconfdir}/security/console.apps/gdmsetup
%config(noreplace) %{_sysconfdir}/X11/gdm/gdm.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/factory-gdm.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/locale.alias
%config(noreplace) %{_sysconfdir}/X11/gdm/Xsession
%dir %{_sysconfdir}/X11/dm
%dir %{_sysconfdir}/X11/dm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostLogin
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%config(noreplace) %{_sysconfdir}/X11/gdm/modules
%{_libdir}/gtk-2.0/modules/*.so
%{_datadir}/applications/gdmsetup.desktop
%{_datadir}/applications/gdmflexiserver.desktop
%{_datadir}/applications/gdmphotosetup.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gdm
%{_menudir}/gdm
%dir %{_datadir}/hosts
%attr(1770, gdm, gdm) %dir %{_localstatedir}/gdm
%dir %{_var}/log/gdm
%_datadir/icons/hicolor/*/apps/gdm*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_mandir}/man1/*

%files Xnest
%defattr(-, root, root)
%{_bindir}/gdmthemetester
%{_bindir}/gdmXnestchooser
%{_bindir}/gdmXnest
%{_datadir}/applications/gdmflexiserver-xnest.desktop
%{_menudir}/gdm-Xnest

%changelog
* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.4-1mdk 
- Release 2.8.0.4

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-5mdk 
- Update patch0 to enable IncludeAll for user lists

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-4mdk 
- Patch6: don't force UTF8 locale (Mdk bug #18177)

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.3-3mdk
- rebuild to remove glitz dep

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-2mdk 
- Update patch0 to set clock format based on locale settings

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-1mdk 
- Release 2.8.0.3
- Regenerate patch0 (partially merged), enforce galaxy GTK them
- Fix trigger from older gdm

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-3mdk 
- Update patch0 to fix Mdk bug #17347
- Fix url

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-2mdk 
- Update patch0 to fix default location for faces

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.2-1mdk
- rediff patches 0,2
- New release 2.8.0.2

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.1-2mdk 
- Update patch0, gdmgreeter was not the default greeter for local gdm
- fix gdmsetup startup (Mdk bug #16761)
- fix upgrade when theme migration was already done
- use new syntax for prereq

* Sun Jul  3 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.1-1mdk
- drop patch 6
- New release 2.8.0.1

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-5mdk
- fix broken doc file (bug #16394)

* Sat Jun 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0.0-4mdk
- add BuildRequires: XFree86-static-devel

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-3mdk
- fix the trigger

* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-2mdk
- bump xinitrc dep
- fix changed paths in gdm.conf on upgrade

* Sat Jun 11 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-1mdk
- update file list
- update file list
- drop merged patch 6
- update patches 0,1
- New release 2.8.0.0

* Fri May 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-4mdk 
- Fix trigger

* Thu May 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.0.9-3mdk
- add BuildRequires: intltool

* Tue May 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-2mdk 
- Remove patch7 and fix build on x86-64

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-1mdk 
- Release 2.6.0.9

* Thu Mar 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.8-2mdk 
- Fix update from Mdk 10.1 (Mdk bug #14532)

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.8-1mdk
- rediff patches 0,6
- New release 2.6.0.8

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-4mdk 
- Fix upgrade 

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-3mdk 
- Move gdm mdk theme to mandrake_desk

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.0.7-2mdk
- libtool fixes

* Thu Feb  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.6.0.7-1mdk
- New release 2.6.0.7

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-5mdk 
- Rebuild with latest howl

* Thu Dec 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-4mdk 
- Patch6 (Fedora): lookup and use canonical username

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-3mdk 
- Patch4 (Fedora): use pam_timestamp for gdmsetup
- Patch5 (Fedora): clean up xses if session was sucessfully completed

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.6-2mdk
- fix omf file listing

* Wed Oct 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-1mdk
- New release 2.6.0.6

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-7mdk
- Update patch0 to call correctly Xsession when using default session

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-6mdk
- Update patch2 to sync dither with the one from patch3

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-5mdk
- Patch3: dither background for standard greeter

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-4mdk
- Update patch 0 to fix default session name (Mdk bug #11104)

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-3mdk
- Update patch 0 to sync with latest xinitrc behaviour

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.0.4-2mdk
- fix typo in menu entry

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-1mdk
- Release 2.6.0.4

* Mon Jul  5 2004 Olivier Blin <blino@mandrake.org> 2.6.0.3-2mdk
- reenable libtoolize
- add virtual provides dm

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.3-1mdk
- add new files
- rediff patch 0
- New release 2.6.0.3

* Fri May  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.2-1mdk
- drop patches 3,4 (different fixes included)
- New release 2.6.0.2

* Tue May 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-2mdk
- Create /etc/X11/dm/Sessions until fndSession is fixed

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.0-1mdk
- Release 2.6.0.0 (with Gtz help)
- Regenerate patches 0, 3

* Fri Mar 12 2004  2.4.4.7-6mdk
- Patch3 : configuration is no accessible immediately (Mdk bug #5075)
- Patch4 : clear pam message after opening configuration (Mdk bug #

* Mon Feb 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.7-5mdk
- New background (with 1280x1024 version available)

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.7-4mdk
- Update patch0, to fix ctrl-alt-backspace which was disabled

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4.7-3mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.7-2mdk
- Change some buttons in Mdk theme
- Enable back dots in password entry

* Mon Jan 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.7-1mdk
- Release 2.4.4.7

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4.6-1mdk
- fix intltool build
- new version

* Mon Oct 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.5-1mdk
- Release 2.4.4.5

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.0-2mdk
- Fix Mdk theme (bug 5208)

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4.0-1mdk
- Release 2.4.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.102-5mdk
- Fix BuildRequires

* Fri Aug 29 2003  2.4.2.102-4mdk
- Update patch0 to start numlock when gdm is started (mdk bug 4682)

* Wed Aug 27 2003  2.4.2.102-3mdk
- Update theme to use specific gdm background

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.102-2mdk
- Update Patch0 to fix gdm Xsession (use Mdk one for most part) and
  default session (requires latest mandrake_desk)
- Requires zenity, it is used for dialogs

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.102-1mdk
- Release 2.4.2.102

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.101-3mdk
- Remove patch 3, replaced by a fix in xinitrc 
- Update icons in mdk theme, use new gdm features (bug 4700, thanks to
  John Keller)

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.101-2mdk
- Patch3: workaround for bug 4878

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2.101-1mdk
- Release 2.4.2.101
- Regenerate patch0
- Remove source1, no longer needed

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.100-1mdk
- Release 2.4.2.100

* Fri Aug  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.99-1mdk
- Release 2.4.2.99
- Update patch0 to specify new location for logs (/var/log/gdm)

* Thu Jul 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.98-1mdk
- Release 2.4.2.98
- Regenerate patch0

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.97-1mdk
- Release 2.4.2.97
- Regenerate patch0

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.96-1mdk
- Release 2.4.2.96
- Remove patch 3 & 4 (merged upstream)

* Wed Jun 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.95-2mdk
- Patch4 (CVS): fix X config variable not replaced in gdm config
- Still GU4DEC Powered..

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.2.95-1mdk
- Release 2.4.2.95
- Regenerate patches 0 & 1*
- Patch3 : fix session names

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.1.4-1mdk
- Release 2.4.1.4

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.1.3-5mdk
- Update patch0 to use fixkeyboard script instead of doing xmodmap hackery
 (Ctrl-Alt-Backspace is back..)

* Fri Mar  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.1.3-4mdk
- Patch4: Greeter really sets background now (not only color)
- Update patch0 : no longer set background color when login
- Update patch0 with correct path for Galaxy

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.3-2mdk
- Fix Mandrake theme to use default background
- Use Galaxy as gtk theme

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.3-1mdk
- Release 2.4.1.3

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.2-1mdk
- Release 2.4.1.2
- Update patch0 to use circles instead of stars for password hiding

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.1-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.1-1mdk
- Release 2.4.1.1
- Remove patch2 (merged upstream)

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.0-2mdk
- Patch2: fix svg not being full screen with some locale (bug 723)

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.0-1mdk
- Release 2.4.1.0
- Remove patch2 (merged upstream)

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.12-3mdk
- Move gdmthemetester to gdm-Xnest and add missing symlink

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 2.4.0.12-2mdk
- BuildRequires: libjpeg-devel

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.12-1mdk
- Release 2.4.0.12

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.11-4mdk
- Fix URL
- Patch2 (CVS): fix (null) in some error popup
- Update patch1 to fix also old greeter

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.11-3mdk
- Patch1 : use xvt instead of xterm in failsafe mode

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.11-2mdk
- Fix Mandrake theme to display error message in white color

* Mon Sep  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.11-1mdk
- Release 2.4.0.11 (fix slow login after initial logout)
- Fix error in postun macro

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.10-3mdk
- Fix gdm startup in security level 5

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.10-2mdk
- Fix typo in patch0

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.10-1mdk
- Release 2.4.0.10
- Fix default icon in patch0

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.9-1mdk
- Release 2.4.0.9 (display only available locales)
- Regenerate patch0

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.7-1mdk
- Release 2.4.0.7
- Update Mdk theme
- Regenerate patch0

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.6-1mdk
- Release 2.4.0.6

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.4.0.5-3mdk
- fix BuildRequires

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.5-2mdk
- Really fix logo positionning in Mandrake theme

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.5-1mdk
- Release 2.4.0.5
- Fix logo positionning in Mandrake theme

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.4-3mdk
- Add missing file for Mandrake theme (thanks to Steve Fox)

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.4-2mdk
- Add source5 : Mandrake graphical theme
- Update patch0 to use Mandrake graphical theme by default, disable xdmcp
  by default

* Thu Jul 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.4-1mdk
- Release 2.4.0.4
- Fix patch0 to always use Mandrake colors

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.3-1mdk
- Release 2.4.0.3
- Rename patch70 to patch0 and regenerate it
- Remove source5 (merged upstream), patch56 (we won't use it anymore),
  patch72 (gdm is stripped by spec-helper)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.2-1mdk
- Release 2.4.0.2
- Source5: add missing image for happygnome theme

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-2mdk
- Add gdm user

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1
- Remove source5 (merged upstream)

* Mon Jul  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.0-3mdk
- Png icons
- Add missing files from happygnome theme (reported by Michael Reinsch)

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.0-2mdk
- Recompiled against librsvg 2.0.0

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.0-1mdk
- Release 2.4.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90.6-2mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90.6-1mdk
- Release 2.9.90.6 (GNOME 2)
- Disable patch 56
- Regenerate patch70

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.5.5-1mdk
- Release 2.2.5.5

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.5.4-3mdk
- integrated Basque (and others) translations

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.5.4-2mdk
- Update patch70: add "-deferglyphs 16" to X command 
  (forgotten since 2.2.2.1)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.5.4-1mdk
- Release 2.2.5.4
- Regenerate patch 70 : don't show gica user

* Thu Nov 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.5.2-1mdk
- Release 2.2.5.2
- Regenerate patch 70

* Tue Nov  6 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.2.5.1-2mdk
- BuildRequires: usermode

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.5.1-1mdk
- Release 2.2.5.1
- Remove patches 0, 68 & 71 (merged upstream)
- Regenerate patch 70
- Try to restart gdm when upgrading

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.3-1mdk
- Release 2.2.4.3
- Regenerate patch 70, 72

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.4.1-4mdk
- fix BuildRequires

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.4.1-3mdk
- rebuild including latest translations

* Wed Sep  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.1-2mdk
- Update patch56: should fix login when language set in ~/.i18n is not system 
language

* Mon Sep  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.1-1mdk
- Release 2.2.4.1

* Fri Aug 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.0-3mdk
- Add Xnest subpackage

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.0-2mdk
- Patch0: accept KP_Enter as Return

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4.0-1mdk
- Release 2.2.4.0
- Remove patch73 : let's change sysconfdir instead
- Regenerate patch 70

* Mon Aug 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-6mdk
- update patch70: fix default faces with latest mandrake_desk

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-5mdk
- Regenerate patch70: don't display fcron user

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-4mdk
- Regenerate patch70: fix background to comply with 8.1 graphic chart

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-3mdk
- Regeneate patch70 : don't display ldap user

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-2mdk
- Regenerate patch 68 (was applied at wrong place) 
  => should fix gdm not starting with browser

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-1mdk
- Release 2.2.3.2

* Sat Aug 04 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.2.3.1-3mdk
- Updated gdm-default-config.patch (Font setting correction)

* Thu Jul 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-2mdk
- Add requires on drakxtools (which will pull XFree86)

* Mon Jul  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-1mdk
- Release 2.2.3.1
- Remove fix for chinese (merged upstream)
- Add gdmphotosetup to menu
- Regenerate patch 73 for gdm-safe-restart

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3
- Regenerate patch 70, 72
- Remove patch 69 

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-4mdk
- Add missing files

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-3mdk
- regenerate patch73: fix gdm-restart script

* Thu Jun  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-2mdk
- regenerate patch70: fix locale dir in gdm config (Thanks to Sebastian Dransfeld)

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-1mdk
- Release 2.2.2.1
- clean specfile
- Regenerate patch 56, 68 & 69 (Vincent Danen)
- Replace source12 by a patch (we now patch default gdm.conf)
- Remove source14 (already in main source)
- Patch70: default configuration for gdm
- Patch71: correct consolhelper config for gdmconfig
- Patch72: don't compile with -g flag
- Patch73: correct gdm.conf location
- Requires scrollkeeper

* Thu Apr  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0-2mdk
- use -deferplyphs 16 to launch X server (Andrew Lee)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Use consolehelper files provided by authors

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.99-1mdk
- Release 2.0.99
- root is no longer displayed in user browser
- No longer create gdm user (done in setup)

* Thu Nov 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0beta4-23mdk
- Chinese fix. (Andrew Lee @ CLE)

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-22mdk
- Really apply faces patch 

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-21mdk
- Correct pam dependancy

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-20mdk
- Add apache and zope as non-visible users in browser
- bziped pam file

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-19mdk
- pam uses pam_stack.

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-18mdk
- New login screen

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-17mdk
- Prevent respawn

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-16mdk
- Check faces with .png extension

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-15mdk
- /var/state -> /var/lib (FHS 2.1)

* Tue Aug 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-14mdk
- Clean spec
- merge from helix (3mdk_helix_2)
- update i18n from cvs
- decompress manual before installing it
- disable language menu
- change location of user icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-13mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-12mdk
- Correct location of icon used by gdm
- use more macros

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-11mdk
- Recompile with new rpm version
- Correct gdm.conf to reflect BM

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 2.0beta4-10mdk
- macrozification.

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-9mdk
- BM

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-8mdk
- added fndsession call in post/postun

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 2.0beta4-7mdk
- spec. cleanup

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-6mdk
- bziped source 2 5 11 12.

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-5mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0beta4-4mdk
- Use tmppath macros.
- BuildRequires: pam-devel

* Wed May 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-3mdk
- corrected exclude list

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 2.0beta4-2mdk
- Changed again background color.

* Fri Apr 21 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta4-1mdk
- release 2.0beta4
- add some nice users and mandrake logo! looks great !
- remove unnecessary patches.

* Sat Apr 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta2-11mdk
- fixed gdmlogin bug .
- merge with helix stuffs .
- add /sbin/ldconfig in post to load shared libraries

* Tue Apr 04 2000 dam's <damin@mandrakesoft.com> 2.0beta2-10mdk
- fixed logo & background locations.

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0beta2-9mdk
- spec-helper issues cleanup
- fixed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- remove the Language menu (doesn't work and made gnome fail to load the right font)

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Require mandrake_desk and put a new image at startup.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a post to make sure Xsession is executable.

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add docs (r)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt for Linux-Mandrake from Redhat spec (13):
	- SMP building
	- bzip2 man/info (don't think it has any (yet)) 

* Fri Sep 26 1999 Elliot Lee <sopwith@redhat.com>
- Fixed pipewrite bug (found by mkj & ewt).
